Datastore Namespace Manager Query Directory Info

Datastore Namespace Manager Query Directory Info
Query directory information of the given top-level directory on vSAN backed object storage.

Query directory information of the given top-level directory on vSAN backed object storage.

The top-level directory must be a full path in the form

/vmfs/volumes/[datastore-uuid]/[directory-uuid]

as returned by CreateDirectory.

See also CreateDirectory.

Since: vSphere API Release 8.0.1.0

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/DatastoreNamespaceManager/{moId}/QueryDirectoryInfo
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DatastoreNamespaceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryDirectoryInfoRequestType of type(s) application/json
Required

Show optional properties

{
    "stableName": "string"
}
{
    "datacenter": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "stableName": "string"
}
datacenter
Optional

the datacenter of the namespace path. Needs to be set when making the call to VC; ignored when the call is made to ESX.

string
stableName
Required

stable vmfs path of the top-level directory to query

Authentication
This operation uses the following authentication methods.
Responses
200

directory information defined by DatastoreNamespaceManagerDirectoryInfo

Returns DatastoreNamespaceManagerDirectoryInfo of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "capacity": 0,
    "used": 0
}
integer As int64 As int64
capacity
Required

Size in MB of underlying object.

integer As int64 As int64
used
Required

Used size in MB in the VMFS volume.


500

FileFault: if a generic system error happened

FileNotFound: if the given directory can not be found

InvalidDatastore: if the given datastore is not supported by the DatastoreNamespaceManager

NotSupported: if query is not supported on the directory

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"stableName":"string"}' https://{api_host}/sdk/vim25/{release}/DatastoreNamespaceManager/{moId}/QueryDirectoryInfo